### Method

# GLib StaticRWLock free

deprecated: 2.32

#### Declaration [src]

    void
    g_static_rw_lock_free (
      GStaticRWLock* lock
    )

#### Description [src]

Releases all resources allocated to `lock`.

You don’t have to call this functions for a `GStaticRWLock` with an unbounded lifetime, i.e. objects declared ‘static’, but if you have a `GStaticRWLock` as a member of a structure, and the structure is freed, you should also free the `GStaticRWLock`.

Deprecated since: 2.32

Use a `GRWLock` instead.

This method is not directly available to language bindings.